Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class PrecisionRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.PrecisionRecord

    public final class PrecisionRecord

extends StandardRecord

Title: Precision Record

Description: defines whether to store with full precision or what's displayed by the gui (meaning have really screwed up and skewed figures or only think you do!)

REFERENCE: PG 372 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`short` | `field_1_precision`
`static short` | `sid`

Constructor Summary
`PrecisionRecord()`
`PrecisionRecord(RecordInputStream in)`

Method Summary
`boolean` | `getFullPrecision()` get whether to use full precision or just skew all you figures all to hell.
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setFullPrecision(boolean fullprecision)` set whether to use full precision or just skew all you figures all to hell.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### field_1_precision

    public short field_1_precision

Constructor Detail

### PrecisionRecord

    public PrecisionRecord()

### PrecisionRecord

    public PrecisionRecord(RecordInputStream in)

Method Detail

### setFullPrecision

    public void setFullPrecision(boolean fullprecision)

  set whether to use full precision or just skew all you figures all to hell.

  Parameters:
    `fullprecision` - - or not

### getFullPrecision

    public boolean getFullPrecision()

  get whether to use full precision or just skew all you figures all to hell.

  Returns:
    fullprecision - or not

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD